Subject: Re: linux-next: manual merge of the block tree with the drbd tree

From: Jens Axboe <[email-masked]>
Date: Wed, 25 Mar 2026 09:56:57 -0600

On 3/25/26 9:41 AM, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the block tree got a conflict in:
> 
>   drivers/block/drbd/drbd_nl.c
> 
> between commit:
> 
>   ffa847f8ff11d ("drbd: rework netlink interface for DRBD 9 multi-peer config")
> 
> from the drbd tree and commit:
> 
>   630bbba45cfd3 ("drbd: use genl pre_doit/post_doit")
> 
> from the block tree.

Christian... See previous reply on this.

> These changes are both quite large and the conflicts substantial,
> ffa847f8ff11d ("drbd: rework netlink interface for DRBD 9 multi-peer
> config") in particular has a diffstat of:
> 
>  drivers/block/drbd/drbd_nl.c | 7260 ++++++++++++++++++++++++++++++------------
>  1 file changed, 5167 insertions(+), 2093 deletions(-)
> 
> which would be enormous even for a non-mechanical change, based on the
> size and a glance over the changelog it seems clear to me that it should
> be split up into a series of patches.  This would make resolving the
> conflicts much more tractable as it would be clearer what each change is
> trying to accomplish.
> 
> 630bbba45cfd3 ("drbd: use genl pre_doit/post_doit") is much less of a
> concern as while it's fairly large it is mostly mechanical.
> 
> Since I've got no confidence in my ability to do so rather than
> resolving this I have marked the DRBD driver as BROKEN for today
> (there's a half completed merge in the tree which shows how far I got)
> and I will reorder the drbd tree after the block tree going forward
> since it seems to feed into there.

It _should_ feed into there, for some reason their tree got added to
-next rather than go the usual route.

-- 
Jens Axboe